<template>
  <v-app>
    <AppLoader />
    <nuxt />
    <AppFooter />
  </v-app>
</template>

<script>
import AppFooter from "~/components/App/AppFooter";
import { themeMixin } from "~/components/Mixins/theme";
import AppLoader from "~/components/App/AppLoader";

export default {
  name: "OnlyApp",
  components: { AppLoader, AppFooter },
  mixins: [themeMixin],
  async created() {
    this.updateListMode();
    await this.$nextTick();
    this.updateTheme(this.themeName);
  },
};
</script>
